import java.io.*;
import java.util.*;
import java.sql.*;
import javax.servlet.*;
import javax.servlet.http.*;
import Config;
public class Start{
    private static Connection Mycon;
    private static String Dir=Config.packpath+"/Java_codes/Html_files/";
    private static String sqlDir=Config.packpath+"/Java_codes/sql/";
    private static String pubDir=Config.pubdir;
    public static void main(String argv[]){
	createTables();
	createStartPage();
    }
    public static void createTables(){
	try{
            DriverManager.registerDriver(new oracle.jdbc.driver.OracleDriver());
            Mycon=DriverManager.getConnection("jdbc:oracle:thin:@:1521:GEN",Config.dblogin,Config.dbpassword);		
	    Statement Stmt = Mycon.createStatement();
            FileInputStream file = new FileInputStream(sqlDir+"tables.sql");
	    InputStreamReader reader = new InputStreamReader(file);
	    BufferedReader input = new BufferedReader(reader);
	    String nextLine;
	    while((nextLine=input.readLine())!=null){
	        Stmt.executeUpdate(nextLine);
	    }
	}catch(SQLException e){System.out.println("Sorry JDBC not connecting");}
	 catch(FileNotFoundException e){}
	 catch(IOException e){}
    }
    public static void createStartPage(){
	try{
	    FileOutputStream fout = new FileOutputStream(pubDir+"/Start.html");
            DataOutputStream dout = new DataOutputStream(fout);
	    String Title="Online Thesis Submission";
	    String Head="Welcome to Online Thesis Submission";
	    printHead(Title,Head,dout);
	    printMain(dout);
	    createPage(Dir+"Start1.html",dout);
	    printQuery(dout);
	    createPage(Dir+"Start2.html",dout);
	    printDept(dout);
	    createPage(Dir+"Start3.html",dout);
	    dout.close();
	    fout.close();
	    FileOutputStream fout1 = new FileOutputStream(pubDir+"/green_pasture.gif");
	    copyImageFile(Config.packpath+"/Images/green_pasture.gif",fout1);
	    fout1.close();
	}catch(FileNotFoundException e){}
	 catch(IOException e){}
    }
    public static void printHead(String title,String head,DataOutputStream dout){
	try{
	    String s="<html> <title>"+title+"</title>";
	    s+="<body background=\"green_pasture.gif\" text=yellow bgcolor=green>";
	    s+="<head><center><h1><u>"+head+"</u></h1></center></head>";
	    dout.writeBytes(s);	
	} catch(IOException e){}
    }
    public static void printMain(DataOutputStream dout){
	try{
	    String s;
	    s="<form method=post action=\"http://"+Config.hostname+":";
	    s+=Config.port+"/servlet/Main\">";
	    dout.writeBytes(s);	
	} catch(IOException e){}
    }
    public static void printQuery(DataOutputStream dout){
	try{
	    String s;
	    s="<form method=post action=\"http://"+Config.hostname+":";
	    s+=Config.port+"/servlet/Query\">";
	    dout.writeBytes(s);	
	} catch(IOException e){}
    }
    public static void printDept(DataOutputStream dout){
	try{
	    String s;
	    s="<form method=post action=\"http://"+Config.hostname+":";
	    s+=Config.port+"/servlet/Dept\">";
	    dout.writeBytes(s);	
	} catch(IOException e){}
    }
    public static void createPage(String Filename,DataOutputStream dout){
	try{
            FileInputStream file = new FileInputStream(Filename);
	    InputStreamReader reader = new InputStreamReader(file);
	    BufferedReader input = new BufferedReader(reader);
	    String nextLine;
	    while((nextLine=input.readLine())!=null){
	        dout.writeBytes(nextLine);	
		dout.writeByte('\n');
	    }
	    input.close();
	    reader.close();
	    file.close();
	} catch(IOException e){}
    }	    
    public static void copyImageFile(String Filename,FileOutputStream fout){
	try{
            FileInputStream file = new FileInputStream(Filename);
	    int nextByte;
	    while((nextByte=file.read())!=-1){
	        fout.write(nextByte);	
	    }
	    file.close();
	} catch(IOException e){}
    }	    
}

